Subject: bug#7460: 23.2.90; temacs needs LANG=C, build will fail if not.

From: Jan Djärv <[email-masked]>
Date: Sun, 21 Nov 2010 20:20:09 +0100

Stefan Monnier skrev 2010-11-21 19.58:
>> Invalid hash table rehash size: 1\,5
>
> Where does this "1,5" come from?

src/lisp.h:#define DEFAULT_REHASH_SIZE 1.5

Apparently this code in fns.c, Fmake_hash_table somehow turns it into 1,5.

   /* Look for `:rehash-size SIZE'.  */
   i = get_key_arg (QCrehash_size, nargs, args, used);
   rehash_size = i < 0 ? make_float (DEFAULT_REHASH_SIZE) : args[i];
   if (!NUMBERP (rehash_size)
       || (INTEGERP (rehash_size) && XINT (rehash_size) <= 0)
       || XFLOATINT (rehash_size) <= 1.0)
     signal_error ("Invalid hash table rehash size", rehash_size);

>
>> , is not a decimal point in my locale.

Correction, I meant to say . is not a decimal point in my locale.  , is.

>
> The Lisp reader is not supposed to be locale-sensitive, so changing the
> is not a valid fix.
>

Something is definitly wrong with locale handling.  I have not seen this 
before, but this is the first time I compiled for Gnustep.  It might be some 
setting that doesn't get done in the Gnustep case.  fixup_locale in emacs.c 
comes to mind.

	Jan D.